package com.atguigu.spzx.manger.mapper;

import com.atguigu.spzx.model.dto.system.AssginMenuDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysRoleMenuMapper {
    List<Long> findSysRoleMenuByRoleId(Long roleId);

    void doAssign(AssginMenuDto assginMenuDto);

    void deleteByRoleId(Long roleId);

    /**
     * 将该id的菜单设置为半开
     *
     * @param parentId 父级ID
     */
    void updateSysRoleMenuIsHalf(Long parentId);
}
