package com.atguigu.spzx.manger.service;

import com.atguigu.spzx.model.entity.product.Category;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface CategoryService {
    /**
     * 根据父级id查找
     * @param parentId 父级id
     * @return 菜单列表
     */
    List<Category> findByParentId(Long parentId);

    /**
     * 导出数据
     * @param response HttpServletResponse
     */
    void exportData(HttpServletResponse response);

    /**
     * 导入功能
     * @param file Excel文件
     */
    void importData(MultipartFile file);
}
