package com.atguigu.spzx.model.vo.system;

import com.atguigu.spzx.model.entity.system.SysMenu;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "查询菜单返回实体类")
public class SysRoleMenuVo {
    @Schema(description = "所有的菜单数据")
    List<SysMenu> sysMenuList;
    @Schema(description = "角色的菜单数据")
    List<Long> roleMenuIds;
}
